import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'app-about',
  templateUrl: './about.component.html',
  styleUrls: ['./about.component.sass']
})
export class AboutComponent implements OnInit {

  url: string;
  constructor(private router: Router) { 

    this.router.events.subscribe((url:any) => this.url = url);

    
  }

  ngOnInit(): void {

    console.log('URL', this.url);
  }

  goHome() {
    this.router.navigate(['/users', 0], 
    {
      queryParams: {
        'param1':'one',
        'param2' : 'two'
      }
    }
    );
  }

}
